// vis.h - 'A Quest Too Far'
//
// Copyright 2010 Geoffrey White
//
// see readme.txt for more details.

#ifndef INCLUDED_VIS
#define INCLUDED_VIS

	#include "stack.h"

	class vis_update : public action
	{
	public:
		vis_update(class game &_game, class creature *_creature, bool _do_introductions) :
			my_game(_game), my_creature(_creature), do_introductions(_do_introductions) {}
		virtual ~vis_update() {}
		virtual action *clone() {return new vis_update(my_game, my_creature, do_introductions);}

		virtual void carry_out(const char_key &key);

	private:
		game &my_game;
		creature *my_creature;
		bool do_introductions;
	};

#endif // INCLUDED_VIS